﻿using UnityEngine;
using System.Collections;

public class YubiPointer : PointerBase {

	public Texture				texture = null;		// テクスチャー.

	protected Sprite2DControl	sprite = null;

	// ================================================================ //
	// MonoBehaviour からの継承.

	// Use this for initialization
	void 	Start()
	{
	}
	
	// Update is called once per frame
	void 	Update()
	{
	}

	// ================================================================ //

	public override void	create()
	{
		this.sprite = Sprite2DRoot.get().createSprite(this.texture, 2, true);
		this.sprite.setSize(Vector2.one*80.0f);
		this.sprite.setDepth(DEPTH);
	}

	public override void	setPosition(Vector2 position)
	{
		position.x += this.sprite.getSize().x/2.0f;
		position.y -= this.sprite.getSize().y/2.0f;
	
		this.sprite.setPosition(position);
	}

	public override void	setVisible(bool is_visible)
	{
		base.setVisible(is_visible);

		this.sprite.setVisible(this.is_visible);
	}
}
